s3games.io

## Class Config

- java.lang.Object
- - s3games.io.Config

- All Implemented Interfaces:
    java.io.Serializable

      public class Config
      extends java.lang.Object
      implements java.io.Serializable

  Configuration of all kinds that is serialized to a config file is stored here. (not in much use currently)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `configFileName` name of the config file
    `static java.lang.String` | `defaultGamesFolder` the default place where the game specifications are located
    `static java.lang.String` | `defaultImagePath` the default place where the images are located
    `java.lang.String` | `gamesFolder` the place where the game specifications are located
    `java.lang.String` | `imagePath` the place where the images are located

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config(GameLogger logger)` create a new empty config

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load()` retrieve the config from the file
    `void` | `save()` serialize the config to a config file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configFileName

          public static final java.lang.String configFileName

      name of the config file
      See Also:
        Constant Field Values

    - #### defaultGamesFolder

          public static final java.lang.String defaultGamesFolder

      the default place where the game specifications are located
      See Also:
        Constant Field Values

    - #### gamesFolder

          public java.lang.String gamesFolder

      the place where the game specifications are located

    - #### defaultImagePath

          public static final java.lang.String defaultImagePath

      the default place where the images are located
      See Also:
        Constant Field Values

    - #### imagePath

          public java.lang.String imagePath

      the place where the images are located

  - ### Constructor Detail

    - #### Config

          public Config(GameLogger logger)

      create a new empty config

  - ### Method Detail

    - #### save

          public void save()

      serialize the config to a config file

    - #### load

          public void load()

      retrieve the config from the file